#!/usr/bin/python3
import time, os
import wiringpi as io # using WiringPi

try :
   io.wiringPiSetupGpio()
except :
   print("start IDLE with 'gksudo idle3' from command line")
   os._exit(1) # quit

io.pinMode(4,1)  # make pin 4 into an output

print("LED blinker using WiringPi - By Mike Cook")
print("Ctrl C to quit")
while True:
  io.digitalWrite(4,0)
  time.sleep(0.30)
  io.digitalWrite(4,1)
  time.sleep(0.30)
