#!/usr/bin/python3
# Two blinks  By Mike Cook
import time
import RPi.GPIO as io

led1pin = 23
led2pin = 24
led1BlinkRate = 0.5 # the speed of blinking
led2onTime = 0.5 ; led2offTime = 0.51
led1State = 0
led2State = 0
blink1Time = time.time()
blink2Time = time.time()

def main():
   print("Two blinks Ctrl C to quit")
   initGPIO()  
   while 1:
      if time.time() > blink1Time:
          blink1()
      if time.time() > blink2Time:
          blink2()

def blink1():
   global blink1Time, led1State
   if led1State == 0:
      io.output(led1pin,1)
      led1State = 1
   else:
      io.output(led1pin,0)
      led1State = 0
   blink1Time = time.time() + led1BlinkRate      

def blink2():
   global blink2Time, led2State
   if led2State == 0:
      io.output(led2pin,1)
      led2State = 1
      blink2Time = time.time() + led2onTime
   else:
      io.output(led2pin,0)
      led2State = 0
      blink2Time = time.time() + led2offTime   

def initGPIO():
   io.setmode(io.BCM)
   io.setwarnings(False)    
   io.setup(led1pin,io.OUT) # make pins into outputs
   io.setup(led2pin,io.OUT) 
   
# Main program logic:
if __name__ == '__main__':    
    main()
